/*
 * version.h.in
 *
 * Vega Strike - Space Simulation, Combat and Trading
 * Copyright (C) 2001-2025 The Vega Strike Contributors:
 * Project creator: Daniel Horn
 * Original development team: As listed in the AUTHORS file
 * Current development team: Roy Falk, Benjamen R. Meyer, Stephen G. Tuggy
 *
 *
 * https://github.com/vegastrike/Vega-Strike-Engine-Source
 *
 * This file is part of Vega Strike.
 *
 * Vega Strike is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Vega Strike is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vega Strike.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef VEGASTRIKE_VERSION_H__
#define VEGASTRIKE_VERSION_H__

// numeric versions to avoid string to numeric conversions
#define VEGASTRIKE_VERSION_MAJOR_UINT 0
#define VEGASTRIKE_VERSION_MINOR_UINT 9
#define VEGASTRIKE_VERSION_PATCH_UINT 1
#define VEGASTRIKE_ASSETS_API_VERSION_UINT 2

// string versions
#define VEGASTRIKE_VERSION_MAJOR "0"
#define VEGASTRIKE_VERSION_MINOR "9"
#define VEGASTRIKE_VERSION_PATCH "1"
#define VEGASTRIKE_VERSION_TWEAK ""

#define VEGASTRIKE_ASSETS_API_VERSION "2"

#define VEGASTRIKE_VERSION_STR VEGASTRIKE_VERSION_MAJOR "." VEGASTRIKE_VERSION_MINOR "." VEGASTRIKE_VERSION_PATCH "." VEGASTRIKE_VERSION_TWEAK " ( Assets API Version: " VEGASTRIKE_ASSETS_API_VERSION ")"
//#pragma message "Vega Strike Version " VEGASTRIKE_VERSION_STR

#endif //VEGASTRIKE_VERSION_H__
